列出所有可用的 Atlas App 云区域

获取 /provider_regions

返回您可以在其中部署 Atlas 应用的所有支持的云区域的列表。

响应

  • 200 application/json

    所有可用的 Atlas App 云区域名称的列表。

    隐藏响应属性 显示响应属性 对象
    • id
      以下之一:

      云提供商特定的部署区域的短 ID。一些区域可用于全球部署,而其他区域仅可用于本地应用。请参阅 云部署区域。

      取值为 aws-us-east-1、aws-us-west-2、aws-us-east-2、aws-eu-central-1、aws-eu-west-1、aws-eu-west-2、aws-ap-southeast-1、aws-ap-southeast-2、aws-ap-south-1 或 aws-sa-east-1。

      云提供商特定的部署区域的短 ID。一些区域可用于全球部署,而其他区域仅可用于本地应用。请参阅 云部署区域。

      取值为 azure-eastus2、azure-westus、azure-westeurope、azure-eastasia 或 azure-southeastasia。

      云提供商特定的部署区域的短 ID。一些区域可用于全球部署,而其他区域仅可用于本地应用。请参阅 云部署区域。

      取值为 gcp-us-central1、gcp-us-east4、gcp-us-west1、gcp-europe-west1 或 gcp-asia-south1。

    • 名称 字符串

      地区的描述性名称。

    • cloud_provider 字符串

      托管该地区的云提供商。

    • 国家 字符串

      物理托管地区的国家/地区。

    • deployment_models array[string]

      值为 GLOBAL 或 LOCAL。

GET /provider_regions
curl \
 --request GET 'https://services.cloud.mongodb.com/api/admin/v3.0/provider_regions' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
响应示例 (200)
[
  {
    "id": "aws-us-east-1",
    "name": "Virginia (us-east-1)",
    "cloud_provider": "aws",
    "country": "usa",
    "deployment_models": [
      "GLOBAL",
      "LOCAL"
    ]
  }
]